Scene2 = {}
Scene2.new = function ()
	
	local this = {}
	
	this.id = "ずんだ錬成シーン"
	this.canvas = love.graphics.newCanvas()
	
	this.backGround = love.graphics.newImage ( "background.png" )

	this.images = {
		love.graphics.newImage ( "suru01_600_600.png" ),
		love.graphics.newImage ( "suru02_600_600.png" ),
	}
	
	this.imageIndex = 1
	this.imageFramcount = 0
	

	--=========================================================
	-- 更新
	--=========================================================
	this.update = function(self, dt)

		self.imageFramcount = self.imageFramcount + 1
		if ( self.imageFramcount > 10 ) then
			
			self.imageFramcount = 0
			
			self.imageIndex = self.imageIndex + 1
			if ( self.imageIndex > #self.images ) then
				
				self.imageIndex = 1
				
			end
		end
		
	end
	
	--=========================================================
	-- 描画
	--=========================================================
	this.draw = function(self)
		
		love.graphics.draw ( self.backGround, 80, 60  )
		
		love.graphics.draw ( 
			self.images[self.imageIndex], 400, 300, 0, 1, 1, 
			self.images[self.imageIndex]:getWidth()/2, self.images[self.imageIndex]:getHeight()/2 
		)
	end
	
	
	--=========================================================
	-- マウスボタン受付
	--=========================================================
	this.mousereleased = function ( self, x, y, buttonNum )
	
		if ( buttonNum == 1 ) then
			
			sceneManager.nextScene = "scene3"
			sceneManager:changeScene("scene3")
		
		end
		
	end
	
	--=========================================================
	-- シーン開始
	--=========================================================
	this.enter = function(self)
		print("開始："..self.id)
		
		
	end
	--=========================================================
	-- シーン終了
	--=========================================================
	this.leave = function(self)
		print("終了："..self.id)

	end
	
	
	
	return this
end
